
namespace GameIdeas.Resources;

public class Translations (TranslationService translationService)
{
    public string GamesIdeas => translationService.Translate(nameof(GamesIdeas));
}

public static class ResourcesKey
{
    private static Translations? _instance;

    public static void Initialize(Translations translations)
    {
        _instance = translations;
    }

    public static string GamesIdeas => _instance?.GamesIdeas ?? throw new InvalidOperationException("ResourcesKey.GamesIdeas is not initialized.");
}